import { VidSourceBase } from './VidSourceBase';
export class VidAuth extends VidSourceBase {
    constructor() {
        super();
        this.mVid = "";
        this.mPlayAuth = "";
        this.mRegion = "";
        this.nativeGetVid = () => {
            return this.mVid;
        };
        this.nativeSetVid = (e43) => {
            this.mVid = e43;
        };
        this.nativeGetPlayAuth = () => {
            return this.mPlayAuth;
        };
        this.nativeSetPlayAuth = (d43) => {
            this.mPlayAuth = d43;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (c43) => {
            this.mRegion = c43;
        };
    }
    setQuality(u42, v42) {
        this.mQuality = u42;
        this.mForceQuality = v42;
    }
    getVid() {
        return this.mVid;
    }
    setVid(t42) {
        this.mVid = t42;
    }
    getPlayAuth() {
        return this.mPlayAuth;
    }
    setPlayAuth(s42) {
        this.mPlayAuth = s42;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(r42) {
        this.mRegion = r42;
    }
}
